Skip to content

List webhook endpoints

GET
/v1/webhook-endpoints
curl --request GET \
--url https://api.inboxcnx.com/v1/webhook-endpoints \
--header 'Authorization: Bearer <token>'

Lists the caller application’s webhook endpoints, oldest first, with the per-application limit. Signing secrets are never returned.

Requires the write:webhooks scope.

The live endpoints, oldest first, and the per-application limit

Media typeapplication/json
object
data
required
Array<object>
object
id
required
string
url
required
string
description
required
string | null
events
required
Array<string>
createdAt
required
string
updatedAt
required
string
secret
string
limit
required
integer

Example

{
"data": [
{
"id": "3f9a1c7e-2b4d-4e8f-a6c0-9d1e2f3a4b5c",
"url": "https://hooks.example.com/inboxcnx",
"description": "Production receiver",
"events": [
"message.received",
"grant.created"
],
"createdAt": "2026-10-20T09:15:00.000Z",
"updatedAt": "2026-10-20T09:15:00.000Z"
}
],
"limit": 10
}

The credential lacks the write:webhooks scope

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string

Example generated

{
"error": {
"code": "example",
"message": "example"
}
}